const mysql = require('mysql2');
const bcrypt = require('bcryptjs');

// Připojení k databázi
const db = mysql.createConnection({
    host: 'localhost',
    user: 'root',            // Nahraďte vaším uživatelským jménem pro MySQL
    password: 'root',  // Nahraďte vaším heslem pro MySQL
    database: 'travelblog'
});

// Funkce pro vložení uživatele s hashovaným heslem
async function insertUser(username, password, role) {
    try {
        // Hashování hesla pomocí bcrypt
        const hashedPassword = await bcrypt.hash(password, 10);

        // SQL dotaz pro vložení uživatele
        const query = `INSERT INTO users (username, password_hash, role) VALUES (?, ?, ?)`;
        db.query(query, [username, hashedPassword, role], (err, results) => {
            if (err) throw err;
            console.log(`User '${username}' with role '${role}' inserted successfully.`);
        });
    } catch (error) {
        console.error("Error inserting user:", error);
    }
}

// Vložení uživatelů
(async () => {
    await insertUser('admin', 'admin', 'admin');
    await insertUser('delegate', '', 'delegate');

    // Ukončí připojení po vložení dat
    db.end();
})();
